/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

$("#familysearchbtn").click(function () {
    $("#familysearchmodal").modal("show");
});

$("#familysearchmodal #familysearchbox").on("input propertychange paste", function () {
    $.getJSON("action.php", {
        action: "familysearch",
        q: $("#familysearchbox").val()
    }, function (resp) {
        $("#familysearchresults").html("");
        for (var i = 0; i < resp.length; i++) {
            $("#familysearchresults").append('<div class="list-group-item familysearchresult" data-familyid="' + resp[i]['id'] + '">' + resp[i]['name'] + '</div>');
        }
    });
});

$("#familysearchmodal").on("click", ".familysearchresult", function () {
    $("input[name=familyid]").val($(this).data("familyid"));
    $("#familysearchmodal").modal("hide");
});